require 'docker-api'


module DockerFlow

  require 'rake/rake-builder'
  require 'utils'

  def version
    '0.0.0'
  end

  def default_options
    {
        line_length: 80
    }
  end

  def options
    @options ||= default_options
  end

  def options=(new_options)
    @options = default_options.merge(new_options || {})
  end

  module_function :version, :options=, :options, :default_options
end
